> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getAdditionalCompensationDescription

> 
The `getAdditionalCompensationDescription` API is used to retrieve available additional compensation descriptions that can be used in payroll processing.

### What it does:

- Returns a list of descriptions for additional payroll types (Bonus, HSA, Reported Tips etc.)
- Provides compensation type identifiers that don't fit into the simple wage structure



## OpenAPI

````yaml get /reports/getAdditionalCompensationDescription
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getAdditionalCompensationDescription:
    get:
      tags: []
      summary: getAdditionalCompensationDescription
      description: >-

        The `getAdditionalCompensationDescription` API is used to retrieve
        available additional compensation descriptions that can be used in
        payroll processing.


        ### What it does:


        - Returns a list of descriptions for additional payroll types (Bonus,
        HSA, Reported Tips etc.)

        - Provides compensation type identifiers that don't fit into the simple
        wage structure
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
              required:
                - method
            example:
              method: getAdditionalCompensationDescription
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  additionalCompensationDescription:
                    type: array
                    items:
                      type: string
                required:
                  - additionalCompensationDescription
              example:
                additionalCompensationDescription:
                  - 3rd Party LTD 125 plan
                  - 3rd Party STD 125 plan
                  - 409A Distribution
                  - Adoption Assistance
                  - Adult Child Health Coverage
                  - Agent LTD 125 plan
                  - Agent STD 125 plan
                  - Bonus
                  - Cash
                  - Clergy Housing Allowance
                  - Deceased Worker Pay
                  - Domestic Partner Benefit Dependent
                  - Domestic Partner Benefit Non-Dependent
                  - ER LTD 125 plan
                  - ER STD 125 plan
                  - Educational Asst (Job Related)
                  - Educational Asst (Non-job Related)
                  - Emergency Paid Sick Leave
                  - Expanded Family and Medical Leave
                  - Golden Parachute
                  - Group Term Life Over $50000
                  - HSA
                  - HSA(125)
                  - Invalid 409A Deferral
                  - Meals for the convenience of ER
                  - Military Differential Pay
                  - Phone Reimbursement
                  - Qualified Moving Expenses Reimbursements
                  - Qualified Parking
                  - Reported Tips
                  - S Corp 2% Shareholder Insurance Premiums
                  - Same sex marriage spousal health care
                  - Severance Pay
                  - Severance Pay Required by law or contract
                  - Stock Options
                  - Training Reimbursement
                  - Van Pool & Transit Passes
                  - Well-Being Stipend
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````